diff -ruN sgifonts.orig/Makefile sgifonts/Makefile
--- sgifonts.orig/Makefile	2014-06-05 13:53:10.000000000 +0200
+++ sgifonts/Makefile	2014-06-09 20:26:37.000000000 +0200
@@ -6,46 +6,37 @@
 PORTREVISION=	2
 CATEGORIES=	x11-fonts
 MASTER_SITES=	ftp://patches-europe.sgi.com/pub/linux/ProPack1.4/SRPMS/ \
-		ftp://ftp.rediris.es/sites/patches-europe.sgi.com/pub/linux/ProPack1.4/SRPMS/
+		ftp://ftp.rediris.es/sites/patches-europe.sgi.com/pub/linux/ProPack1.4/SRPMS/ \
+		http://www.skysmurf.nl/comp/FreeBSD/distfiles/
 DISTNAME=	sgi-fonts-1.0-1.src
 EXTRACT_SUFX=	.rpm
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	freebsd@skysmurf.nl
 COMMENT=	Fonts from the SGI ProPack 1.4 (originally for Linux)
 
 BUILD_DEPENDS=		bdftopcf:${PORTSDIR}/x11-fonts/bdftopcf \
 			mkfontdir:${PORTSDIR}/x11-fonts/mkfontdir
 
+SUB_FILES=	pkg-message
+SUB_LIST=	FONTDIR=${FONTDIR}
+FONTDIR=	lib/X11/fonts/local/sgi
 PLIST=		${WRKDIR}/pkg-plist
-PLIST_DIRS=	lib/X11/fonts/local/sgi
-PKGMESSAGE=	${WRKDIR}/pkg-message
+PLIST_DIRS=	${FONTDIR}
 USES=		imake
 EXTRACT_CMD=	${TAR}
 EXTRACT_BEFORE_ARGS=	-O -xf
 EXTRACT_AFTER_ARGS=	sgi-fonts.tar.gz | ${TAR} -xf -
 WRKSRC=		${WRKDIR}/sgi-fonts
 
-NO_STAGE=	yes
-pre-install:
+post-build:
 	@${RM} -f ${PLIST}
-	@cd ${WRKSRC}; for ii in `${LS} *gz fonts.alias fonts.dir|${SORT}`; do \
-		${ECHO_CMD} lib/X11/fonts/local/sgi/$${ii} >> ${PLIST}; \
-	done
-	@${ECHO_CMD} "******************************************" >${PKGMESSAGE}
-	@${ECHO_CMD} "Add a line" >> ${PKGMESSAGE}
-	@${ECHO_CMD} "FontPath \"${PREFIX}/lib/X11/fonts/local/sgi\"" \
-		>> ${PKGMESSAGE}
-	@${ECHO_CMD} \
-	"to your XF86Config." >> ${PKGMESSAGE}
-	@${ECHO_CMD} "Then, restart the X server or do \"xset fp rehash\"."\
-		>> ${PKGMESSAGE}
-	@${ECHO_CMD} "*****************************************" >>${PKGMESSAGE}
+	@cd ${WRKSRC}; \
+		for foo in `${LS} *gz fonts.alias fonts.dir|${SORT}`; \
+		do ${ECHO_CMD} ${FONTDIR}/$${foo} >> ${PLIST}; done
 
 do-install:
-	${MKDIR} ${PREFIX}/lib/X11/fonts/local/sgi
-	cd ${WRKSRC}; \
-		${INSTALL_DATA} *gz fonts.alias fonts.dir \
-		${PREFIX}/lib/X11/fonts/local/sgi
-	@${CAT} ${PKGMESSAGE}
+	${MKDIR} ${STAGEDIR}${PREFIX}/${FONTDIR}
+	${INSTALL_DATA} ${WRKSRC}/*gz ${STAGEDIR}${PREFIX}/${FONTDIR}
+	${INSTALL_DATA} ${WRKSRC}/fonts* ${STAGEDIR}${PREFIX}/${FONTDIR}
 
 .include <bsd.port.mk>
diff -ruN sgifonts.orig/files/pkg-message.in sgifonts/files/pkg-message.in
--- sgifonts.orig/files/pkg-message.in	1970-01-01 01:00:00.000000000 +0100
+++ sgifonts/files/pkg-message.in	2014-06-09 20:27:08.000000000 +0200
@@ -0,0 +1,5 @@
+Add the following line to the "Files" section of xorg.conf or XF86Config:
+
+	FontPath "%%PREFIX%%/%%FONTDIR%%/"
+
+Then, restart the X server or do "xset fp rehash".
